/* Google fonts */
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

/* Local font */
@font-face {
    font-family: DOCKER-ONE;
    src: url(/assets/fonts/DOCKER-ONE.ttf);
}

/* Helpers & reset */
:root {
    --c-brand: #FB2056;
    --c-dark: #333;
    --c-dark-light:#939393;
    --c-body: #666;
    --c-light: #f8f8f8;

    --f-base: 'Poppins', sans-serif;
    --m-height: 60px;
}

*, *::after, *::before {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    color: var(--c-body);
    font-family: var(--f-base);
    line-height: 1.8;
}

h1,h2,h3,h4,h5,h6 {
    color: var(--c-dark);
    line-height: 1.2;
    margin-bottom: 10px;
    font-weight: 400;
}

.heading-xl{
    font-size: clamp(38px, 10vw, 100px);
}
.heading-1{
    font-size: clamp(32px, 6vw, 54px);
}

.heading-2{
    font-size: clamp(28px, 4vw, 36px);
}

.heading-3{
    font-size: 20px;
}

a {
    color: var(--c-dark);
    text-decoration: none;
    transition: all 0.4s ease-in-out;
}

img {
    max-width: 100%;
    width: 100%;
    height: auto;
}

ul {
    list-style: none;
}

a:hover {
    color: var(--c-brand);
}

section {
    padding: 140px 0;
}

.container {
    max-width: 1140px;
    width: 100%;
    margin: 0 auto;
    padding-left: 24px;
    padding-right: 24px;
}

.btn {
    display: inline-block;
    background-color: transparent;
    border: 1px solid var(--c-brand);
    font-family: var(--f-base);
    padding: 16px 34px;
    cursor: pointer;
    transition: all 0.4s ease-in-out;
    font-size: 14px;
}

.btn:hover {
    background-color: var(--c-body);
    color: white;
}

/* Nav Bar */
.navbar {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: var(--m-height);
    display: flex;
    transition: all 0.4s;
    z-index: 999;
}

.navbar .container {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.brand {
    color: white;
    width: 140px;
}

.nav-links {
    display: flex;
}

.nav-links li:not(:last-child) {
    margin-right: 44px;
}

.nav-links li.active a {
    box-shadow: 0 2px var(--c-brand);
}

.nav-links li a {
    color: white;
    font-size: 13px;
    letter-spacing: 1px;
}

.nav-links li a:hover {
    color: var(--c-brand);
}

.hamburguer {
    display: block;
    cursor: pointer;
    display: none;
}

.hamburguer span {
    display: block;
    width: 30px;
    height: 2px;
    margin: 6px auto;
    background-color: white;
    transform-origin: 0px 100%;
    transition: all 0.4s ease-in-out;
}

.activeline1_bar_menu {
    transform: rotate(45deg) translate(-2px);
}

.activeline2_bar_menu {
    opacity: 0;
    transform: translateX(-30px);
    margin-left: -30px;
}

.activeline3_bar_menu {
    transform: rotate(-45deg) translate(-4px, 2px);
}

.scrolled {
    background-color: #ffffff;
}

.scrolled .brand {
    fill: var(--c-dark);
}

.scrolled .nav-links li a {
    color: var(--c-dark);
}

.scrolled .nav-links li a:hover {
    color: var(--c-brand);
}

.scrolled .hamburguer span {
    background-color: var(--c-dark);
}

.drop-down {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 50px;
    padding: 0 0.5rem;
    cursor: pointer;
}
.lang-list {
    position: absolute;
    top: 44px;
    cursor: pointer;
    width: 1005;
    display: none;
}

.show {
    display: block;
}

.lang-item {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0.5rem 1rem;
    gap: 0.5rem;
}

@media (max-width: 768px) {
    .nav-links {
        position: fixed;
        top: var(--m-height);
        width: 100%;
        flex-direction: column;
        left: 0;
        padding: 0 24px;
        transition: all 0.3s ease-in-out;
        background-color: rgba(255, 255,255,0.9);
        height: 0;
        overflow: hidden;
    }

    .nav-links li a {
        color: var(--c-dark);
    }

    .nav-links.active {
        height: 160px;
    }

    .nav-links li {
        padding: 6px 0;
    }

    .nav-links li a:hover {
        color: var(--c-brand);
    }

    .hamburguer {
        display: block;
    }

    .drop-down {
        display: none;
    }
}

/* Hero */

#hero {
    min-height: 100vh;
    background: linear-gradient(rgba(0, 0,0,0.2), #000), url(/assets/images/cima.jpg);
    background-position: center;
    background-size: cover;
    display: grid;
    place-content: center;
    text-align: center;
}

#trust {
    margin-top: 50px;
    display: grid;
    place-content: center;
    text-align: center;
    color: var(--c-dark-light);
}
#trust h1 {
    color: var(--c-dark-light);
}

#hero h1 {
    color: white;
}

.intro {
    margin-top: 30px;
    margin-bottom: 30px;
}
.quotes {
    width: 130px;
    height: 5px;
}

.jsonTxt {
    white-space: pre-wrap;
    white-space: -moz-pre-wrap;
    white-space: -o-pre-wrap;
}

@keyframes scrolltodown {
    0% {
        transform: translateY(30%);
        opacity: 0;
    }
    50% {
        transform: translateY(-30%);   
        opacity: 1;
    }

    100% {
        transform: translateY(60%);
        opacity: 0;
    }
}

.scroll_to_down {
    width: 30px;
    height: 60px;
    display: grid;
    place-content: center;
    font-size: 24px;
    color: white;
    border: 2px solid rgba(255, 255, 255, 0.2);
    border-radius: 100px;
    position: absolute;
    bottom: 48px;
    left: 50%;
}

.scroll_to_down .fa-solid {
    animation: scrolltodown 2s ease infinite;
}
/* Title */

#introduction {
    margin-bottom: 44px;
}

/* Grid */

.grid {
    display: grid;
    gap: 44px;
}

.three-col-grid {
    grid-template-columns: repeat(3, 1fr);
}

.two-col-grid {
    grid-template-columns: repeat(2, 1fr);
}

@media (max-width: 768px) {
    .grid {
        gap: 24px;
    }
    .two-col-grid {
        grid-template-columns: repeat(1, 1fr);
    }

    .three-col-grid {
        grid-template-columns: repeat(1, 1fr);

    }
}

/* Image */
.parallax {
    background: url(/assets/images/diseno\ de\ espacios.png) repeat fixed 100%;
    background-size: cover;
    -webkit-background-size: cover;
    background-position: center center;
}

.parallax2 {
    background: url(/assets/images/conf.jpg) repeat fixed 100%;
    background-size: cover;
    -webkit-background-size: cover;
    background-position: center bottom;
}

.parallax-inner {
    padding-top: 10%;
    padding-bottom: 10%;
}

.parallax h2{
    color: #f8f8f8;
    text-align: center;
}

.parallax2 h2{
    color: #f8f8f8;
    text-align: center;
}

/* Service */
#services .grid {
    gap: 0;
}

 .service:nth-child(odd) {
    background-color: var(--c-light);
 }

 .service {
    padding: 44px;
 }

 .service p {
    font-size: 14px;
 }

 .icon img {
    height: 38px;
    width: auto;
 }

 #work .section-intro{
    text-align: center;
 }
 
 .card-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(270px, 1fr));
    gap: 15px;
    margin-top: 50px;
 }

 .card {
    border-radius: 12px;
    border: 1px solid rgba(197, 197, 197, 0.2);
    overflow: hidden;
    margin: 20px;
    text-align: center;
    padding: 30px 20px;
    transition: 0.5s;
 }

 .card img {
    height: 42px;
    width: auto;
 }

 .card:hover{
    box-shadow: 0 0 20px 0px rgba(0, 0, 0, 0.5) ;
 }

 .card h3 {
    font-weight: 500;
    margin-top: 10px;
    padding: 10px 0;
    color: #444;
    font-size: 22px;
 }

 .card p{
    color: #777;
    font-size: 15px;
    line-height: 1.8;
 }





 /* Projects */
.project {
    position: relative;
    overflow: hidden;
}

.project .animated {
    height: 100%;
    object-fit: cover;
    transition: all 0.4s ease-in-out;
}

.project .overlay {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-color: rgba(255, 255, 255, 0.8);
    padding: 44px;
    display: flex;
    align-items: flex-end;
    transition: all 0.4s ease-in-out;
    opacity: 0;
    display: none;
}

.project .overlay h2 {
    color: c-;
}

.project .overlay p {
    color: rgba(0, 0, 0, 0.6);
}

.project .overlay img {
    height: 38px;
    width: auto;
 }

.project:hover .overlay {
    opacity: 1;
    display: flex;
}

.project:hover .animated {
    transform: rotate(15deg) scale(1.5);
}

/* Contact */
#contact .grid {
    grid-template-columns: 1fr 2.5fr;
}

form {
    width: 100%;
}

.contact-widget {
    margin-bottom: 44px;
}

.form-group {
    margin-bottom: 24px;
    width: 100%;
}
.form-group .form-input {
    display: block;
    width: 100%;
    
}

.form-input {
    width: 100%;
    padding: 16px 0;
    margin: 8px;
    border-radius: 0;
    border: none;
    font-family: var(--f-base);
    border-bottom: 1px solid rgba(0, 0, 0, 0.4);
}

.form-input:focus {
    outline: none;
}

@media (max-width: 768px) {
    #contact .grid {
        grid-template-columns: 1fr;
    }
}

/* Footer */

footer {
    padding: 40px;
    background-color: var(--c-dark);
    text-align: center;
}

footer .container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-content: center;
}

footer p, 
footer a {
    color: white;
}

footer .social-icons a {
    font-size: 24px;
}

footer .social-icons a:not(:last-child) {
    margin-right: 24px;
}

@keyframes scroll {
    0% {
        -webkit-transform: translateX(0);
        transform: translateX(0);
    }

    100% {
        -webkit-transform: translateX(calc(-200px * 7));
        transform: translateX(calc(-200px * 7));
    }
}
